org.eclipse.actf.model.dom.html.dochandler

## Class DefaultDocumentHandler

- java.lang.Object
- - org.eclipse.actf.model.dom.html.dochandler.DefaultDocumentHandler

All Implemented Interfaces:
  DocumentHandler

Direct Known Subclasses:
  PREHandler

    public class DefaultDocumentHandler
    extends Object
    implements DocumentHandler

Default DocumentHandler class. This class makes linked list of document handlers.

### Constructor Summary

Constructors
Constructor and Description
`DefaultDocumentHandler(org.eclipse.actf.model.internal.dom.sgml.impl.SGMLParser parser)` Constructs DefaultDocumentHandler that points next DocumentHandler hold by the parser.

### Method Summary

Methods
`void` `characters(char[] ch, int start, int length)` Just forwards this method invokation with `locator` to the next handler.
`void` `endDocument()` Just forwards this method invokation with `locator` to the next handler.
`void` `endElement(String name)` Just forwards this method invokation with `locator` to the next handler.
`void` `ignorableWhitespace(char[] ch, int start, int length)` Just forwards this method invokation with `locator` to the next handler.
`void` `processingInstruction(String target, String data)` Just forwards this method invokation with `locator` to the next handler.
`void` `setDocumentLocator(Locator locator)` Just forwards this method invokation with `locator` to the next handler.
`void` `startDocument()` Just forwards this method invokation with `locator` to the next handler.
`void` `startElement(String name, AttributeList atts)` Just forwards this method invokation with `locator` to the next handler.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultDocumentHandler

    public DefaultDocumentHandler(org.eclipse.actf.model.internal.dom.sgml.impl.SGMLParser parser)

Constructs DefaultDocumentHandler that points next DocumentHandler hold by the parser.

Parameters:
  `parser` - parser instance that holds a next handler.

### Method Detail

#### setDocumentLocator

    public void setDocumentLocator(Locator locator)

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `setDocumentLocator` in interface `DocumentHandler`

#### startDocument

    public void startDocument()
                       throws SAXException

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `startDocument` in interface `DocumentHandler`
Throws:
  `SAXException`

#### endDocument

    public void endDocument()
                     throws SAXException

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `endDocument` in interface `DocumentHandler`
Throws:
  `SAXException`

#### startElement

    public void startElement(String name,
                    AttributeList atts)
                      throws SAXException

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `startElement` in interface `DocumentHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement(String name)
                    throws SAXException

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `endElement` in interface `DocumentHandler`
Throws:
  `SAXException`

#### characters

    public void characters(char[] ch,
                  int start,
                  int length)
                    throws SAXException

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `characters` in interface `DocumentHandler`
Throws:
  `SAXException`

#### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                           int start,
                           int length)
                             throws SAXException

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `ignorableWhitespace` in interface `DocumentHandler`
Throws:
  `SAXException`

#### processingInstruction

    public void processingInstruction(String target,
                             String data)
                               throws SAXException

Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `processingInstruction` in interface `DocumentHandler`
Throws:
  `SAXException`